/*

	This program is free software; you can redistribute it and/or modify

	it under the terms of the GNU General Public License version 2 

	as published by the Free Software Foundation.



	This program is distributed in the hope that it will be useful,

	but WITHOUT ANY WARRANTY; without even the implied warranty of

	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

	GNU General Public License for more details.



	You should have received a copy of the GNU General Public License

	along with this program; if not, write to the Free Software

	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA





	Copyright (C) 2006  Thierry Berger-Perrin <tbptbp@gmail.com>

*/

#ifndef SYS_SYSLOG_H

#define SYS_SYSLOG_H



#include "specifics.h"

namespace sys {

	NOINLINE void log(const char * __restrict const fmt, ...);



	//template <int buf_size = 256> 
	struct format_t {
		enum { buf_size = 256 };
		char buf[buf_size];
		int len;
		NOINLINE explicit format_t(const char * __restrict const fmt, ...);
		NOINLINE void log() const;
	};
}



#endif

