/*

	This program is free software; you can redistribute it and/or modify

	it under the terms of the GNU General Public License version 2 

	as published by the Free Software Foundation.



	This program is distributed in the hope that it will be useful,

	but WITHOUT ANY WARRANTY; without even the implied warranty of

	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

	GNU General Public License for more details.



	You should have received a copy of the GNU General Public License

	along with this program; if not, write to the Free Software

	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA





	Copyright (C) 2006  Thierry Berger-Perrin <tbptbp@gmail.com>

*/

#ifndef KDLIB_GENERATOR_H_

#define KDLIB_GENERATOR_H_



#include "specifics.h"
#include "rt_kdtree.h"
#include "rt_triangle_wald.h"

#include "kdlib_internal.h" // merde.

namespace kdlib {
	struct writer_t {
	//struct __declspec(dllexport) writer_t {
		// kdtree::node_t **dst, kdtree::tri_id_t **ids


		kdtree::node_t		*dst;
		kdtree::tri_id_t	*ids;

		//sys::mem::growing_pool_t<kdtree::node_t>	pool_nodes;
		//sys::mem::growing_pool_t<kdtree::tri_id_t>	pool_ids;

		int	num_ids;
		int	num_nodes;

		bool_t init(const kdlib::compiler_t &compiler);
		bool_t write(kdlib::node_t *src);
	};
}


#endif

