/*

	This program is free software; you can redistribute it and/or modify

	it under the terms of the GNU General Public License version 2 

	as published by the Free Software Foundation.



	This program is distributed in the hope that it will be useful,

	but WITHOUT ANY WARRANTY; without even the implied warranty of

	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

	GNU General Public License for more details.



	You should have received a copy of the GNU General Public License

	along with this program; if not, write to the Free Software

	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA





	Copyright (C) 2006  Thierry Berger-Perrin <tbptbp@gmail.com>

*/

const headers_t headers =
{
	"console",
	128,64,
	16,16,13,
	1
};



const glyph_t glyphs[] =
{
	{ 0 ,0 ,  0 ,16 ,  1 ,0 ,  5 ,  32 },
	{ 97 ,32 ,  2 ,4 ,  1 ,9 ,  5 ,  33 },
	{ 123 ,39 ,  1 ,3 ,  3 ,4 ,  5 ,  34 },
	{ 99 ,32 ,  1 ,4 ,  8 ,8 ,  10 ,  35 },
	{ 15 ,0 ,  1 ,3 ,  6 ,12 ,  8 ,  36 },
	{ 57 ,13 ,  1 ,4 ,  11 ,9 ,  13 ,  37 },
	{ 69 ,12 ,  1 ,4 ,  9 ,9 ,  9 ,  38 },
	{ 34 ,52 ,  1 ,3 ,  1 ,4 ,  3 ,  39 },
	{ 0 ,0 ,  1 ,3 ,  4 ,13 ,  6 ,  40 },
	{ 5 ,0 ,  1 ,3 ,  4 ,13 ,  6 ,  41 },
	{ 117 ,40 ,  2 ,3 ,  5 ,5 ,  9 ,  42 },
	{ 0 ,45 ,  1 ,5 ,  7 ,7 ,  9 ,  43 },
	{ 30 ,53 ,  1 ,11 ,  3 ,4 ,  5 ,  44 },
	{ 60 ,51 ,  1 ,8 ,  5 ,1 ,  7 ,  45 },
	{ 49 ,52 ,  2 ,11 ,  1 ,2 ,  5 ,  46 },
	{ 22 ,0 ,  0 ,3 ,  6 ,12 ,  6 ,  47 },
	{ 96 ,22 ,  1 ,4 ,  6 ,9 ,  8 ,  48 },
	{ 70 ,33 ,  2 ,4 ,  5 ,9 ,  8 ,  49 },
	{ 103 ,22 ,  1 ,4 ,  6 ,9 ,  8 ,  50 },
	{ 110 ,21 ,  1 ,4 ,  6 ,9 ,  8 ,  51 },
	{ 0 ,25 ,  1 ,4 ,  7 ,9 ,  8 ,  52 },
	{ 117 ,21 ,  1 ,4 ,  6 ,9 ,  8 ,  53 },
	{ 0 ,35 ,  1 ,4 ,  6 ,9 ,  8 ,  54 },
	{ 7 ,35 ,  1 ,4 ,  6 ,9 ,  8 ,  55 },
	{ 14 ,35 ,  1 ,4 ,  6 ,9 ,  8 ,  56 },
	{ 21 ,35 ,  1 ,4 ,  6 ,9 ,  8 ,  57 },
	{ 98 ,42 ,  2 ,6 ,  1 ,7 ,  6 ,  58 },
	{ 124 ,21 ,  1 ,6 ,  3 ,9 ,  6 ,  59 },
	{ 8 ,45 ,  1 ,6 ,  7 ,7 ,  9 ,  60 },
	{ 22 ,53 ,  1 ,7 ,  7 ,4 ,  9 ,  61 },
	{ 16 ,45 ,  1 ,6 ,  7 ,7 ,  9 ,  62 },
	{ 76 ,32 ,  1 ,4 ,  5 ,9 ,  7 ,  63 },
	{ 58 ,0 ,  1 ,4 ,  11 ,11 ,  13 ,  64 },
	{ 8 ,25 ,  1 ,4 ,  7 ,9 ,  9 ,  65 },
	{ 28 ,34 ,  1 ,4 ,  6 ,9 ,  8 ,  66 },
	{ 16 ,25 ,  1 ,4 ,  7 ,9 ,  9 ,  67 },
	{ 24 ,24 ,  1 ,4 ,  7 ,9 ,  9 ,  68 },
	{ 35 ,34 ,  1 ,4 ,  6 ,9 ,  8 ,  69 },
	{ 42 ,34 ,  1 ,4 ,  6 ,9 ,  8 ,  70 },
	{ 32 ,24 ,  1 ,4 ,  7 ,9 ,  9 ,  71 },
	{ 40 ,24 ,  1 ,4 ,  7 ,9 ,  9 ,  72 },
	{ 93 ,32 ,  1 ,4 ,  3 ,9 ,  5 ,  73 },
	{ 82 ,32 ,  0 ,4 ,  5 ,9 ,  6 ,  74 },
	{ 49 ,33 ,  1 ,4 ,  6 ,9 ,  8 ,  75 },
	{ 56 ,33 ,  1 ,4 ,  6 ,9 ,  7 ,  76 },
	{ 79 ,12 ,  1 ,4 ,  9 ,9 ,  11 ,  77 },
	{ 48 ,23 ,  1 ,4 ,  7 ,9 ,  9 ,  78 },
	{ 109 ,11 ,  1 ,4 ,  8 ,9 ,  10 ,  79 },
	{ 63 ,33 ,  1 ,4 ,  6 ,9 ,  8 ,  80 },
	{ 94 ,0 ,  1 ,4 ,  8 ,11 ,  10 ,  81 },
	{ 118 ,11 ,  1 ,4 ,  8 ,9 ,  8 ,  82 },
	{ 56 ,23 ,  1 ,4 ,  7 ,9 ,  9 ,  83 },
	{ 64 ,23 ,  1 ,4 ,  7 ,9 ,  9 ,  84 },
	{ 72 ,22 ,  1 ,4 ,  7 ,9 ,  9 ,  85 },
	{ 89 ,12 ,  0 ,4 ,  9 ,9 ,  9 ,  86 },
	{ 43 ,13 ,  0 ,4 ,  13 ,9 ,  13 ,  87 },
	{ 99 ,12 ,  0 ,4 ,  9 ,9 ,  9 ,  88 },
	{ 80 ,22 ,  1 ,4 ,  7 ,9 ,  9 ,  89 },
	{ 88 ,22 ,  1 ,4 ,  7 ,9 ,  9 ,  90 },
	{ 48 ,0 ,  2 ,3 ,  3 ,12 ,  6 ,  91 },
	{ 29 ,0 ,  0 ,3 ,  6 ,12 ,  6 ,  92 },
	{ 52 ,0 ,  1 ,3 ,  3 ,12 ,  6 ,  93 },
	{ 107 ,41 ,  1 ,4 ,  9 ,5 ,  11 ,  94 },
	{ 51 ,52 ,  0 ,14 ,  8 ,1 ,  8 ,  95 },
	{ 45 ,52 ,  2 ,3 ,  3 ,2 ,  8 ,  96 },
	{ 32 ,44 ,  1 ,6 ,  6 ,7 ,  8 ,  97 },
	{ 112 ,0 ,  1 ,3 ,  6 ,10 ,  8 ,  98 },
	{ 39 ,44 ,  1 ,6 ,  6 ,7 ,  8 ,  99 },
	{ 119 ,0 ,  1 ,3 ,  6 ,10 ,  8 ,  100 },
	{ 46 ,44 ,  1 ,6 ,  6 ,7 ,  8 ,  101 },
	{ 35 ,13 ,  1 ,3 ,  5 ,10 ,  5 ,  102 },
	{ 0 ,14 ,  1 ,6 ,  6 ,10 ,  8 ,  103 },
	{ 7 ,14 ,  1 ,3 ,  6 ,10 ,  8 ,  104 },
	{ 126 ,0 ,  1 ,3 ,  1 ,10 ,  3 ,  105 },
	{ 10 ,0 ,  -1 ,3 ,  4 ,13 ,  4 ,  106 },
	{ 14 ,14 ,  1 ,3 ,  6 ,10 ,  7 ,  107 },
	{ 41 ,13 ,  1 ,3 ,  1 ,10 ,  3 ,  108 },
	{ 108 ,32 ,  1 ,6 ,  9 ,7 ,  11 ,  109 },
	{ 53 ,43 ,  1 ,6 ,  6 ,7 ,  8 ,  110 },
	{ 60 ,43 ,  1 ,6 ,  6 ,7 ,  8 ,  111 },
	{ 21 ,13 ,  1 ,6 ,  6 ,10 ,  8 ,  112 },
	{ 28 ,13 ,  1 ,6 ,  6 ,10 ,  8 ,  113 },
	{ 93 ,42 ,  1 ,6 ,  4 ,7 ,  5 ,  114 },
	{ 81 ,42 ,  1 ,6 ,  5 ,7 ,  7 ,  115 },
	{ 88 ,32 ,  1 ,4 ,  4 ,9 ,  6 ,  116 },
	{ 67 ,43 ,  1 ,6 ,  6 ,7 ,  8 ,  117 },
	{ 74 ,43 ,  1 ,6 ,  6 ,7 ,  8 ,  118 },
	{ 118 ,31 ,  1 ,6 ,  9 ,7 ,  11 ,  119 },
	{ 24 ,45 ,  0 ,6 ,  7 ,7 ,  7 ,  120 },
	{ 103 ,0 ,  0 ,6 ,  8 ,10 ,  8 ,  121 },
	{ 87 ,42 ,  1 ,6 ,  5 ,7 ,  7 ,  122 },
	{ 36 ,0 ,  1 ,3 ,  5 ,12 ,  8 ,  123 },
	{ 56 ,0 ,  3 ,3 ,  1 ,12 ,  7 ,  124 },
	{ 42 ,0 ,  2 ,3 ,  5 ,12 ,  8 ,  125 },
	{ 36 ,52 ,  1 ,7 ,  8 ,3 ,  11 ,  126 },
	{ 0 ,53 ,  1 ,6 ,  5 ,5 ,  7 ,  149 },
	{ 12 ,53 ,  2 ,4 ,  9 ,4 ,  13 ,  153 },
	{ 100 ,41 ,  1 ,6 ,  6 ,6 ,  8 ,  164 },
	{ 70 ,0 ,  1 ,4 ,  11 ,11 ,  13 ,  169 },
	{ 82 ,0 ,  1 ,4 ,  11 ,11 ,  13 ,  174 },
	{ 6 ,53 ,  1 ,4 ,  5 ,5 ,  7 ,  176 }
};

// header len 0

// w 128 h 64 type 3 pixel size 8

enum { image_width = 128, image_height = 64 };

const unsigned char image[] =

{

	0,0,0,255,0,255,0,0,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,255,0,255,0,0,0,0,0,0,0,0,0,255,255,0,255,255,0,0,0,0,255,255,255,0,255,255,255,0,255,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,255,255,255,255,0,0,0,0,255,0,0,0,0,255,0,0,255,0,0,0,0,0,0,0,0,0,0,0,255,0,255,0,

	0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,255,0,0,0,0,0,0,0,0,0,255,0,255,0,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,0,255,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,

	0,255,0,0,0,0,0,255,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,0,255,0,0,255,255,255,255,0,255,0,0,0,255,0,0,255,255,255,0,0,255,0,0,0,255,0,0,255,255,255,0,0,255,0,0,255,0,0,0,0,0,0,255,0,0,0,255,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,

	0,255,0,0,0,0,0,255,0,0,0,0,255,255,0,255,0,255,0,0,0,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,255,0,0,255,0,0,0,255,0,0,255,0,255,0,0,255,0,0,0,255,0,0,255,0,255,0,0,0,255,0,0,255,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,255,0,0,255,0,0,0,255,0,255,255,255,0,0,0,255,255,255,255,255,0,255,0,

	255,0,0,0,0,0,0,0,255,0,0,0,0,255,0,255,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,255,0,0,255,0,0,0,255,0,0,255,0,255,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,255,0,0,255,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,255,0,0,255,0,0,0,255,255,0,0,0,255,0,255,0,0,0,0,255,0,255,0,

	255,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,255,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,255,0,0,0,0,0,0,0,255,255,0,255,0,0,0,0,0,255,0,255,0,255,0,0,255,0,0,0,255,0,0,255,0,255,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,255,255,255,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,255,255,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,

	255,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,255,255,255,0,0,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,255,0,0,255,0,0,0,255,0,0,255,0,255,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,255,0,255,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,255,255,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,

	255,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,255,0,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,255,0,0,255,0,0,0,255,0,0,255,0,255,0,0,255,0,0,0,255,0,0,255,0,255,0,0,0,255,0,0,255,0,0,255,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,

	255,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,255,0,0,255,0,0,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,0,255,0,0,255,255,255,255,255,255,0,0,0,255,0,0,255,255,255,0,0,255,0,0,0,255,0,0,255,0,0,0,255,255,0,0,0,0,255,255,255,255,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,255,255,0,255,0,

	0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,255,255,255,255,255,0,0,0,255,0,0,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,255,255,255,255,255,0,0,0,255,255,255,0,255,0,255,0,

	0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,255,0,0,0,255,0,0,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,0,255,255,0,255,255,0,0,0,0,255,255,255,0,255,255,255,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,255,255,255,255,255,0,0,0,0,0,

	0,0,0,255,0,255,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,255,255,0,0,0,0,0,255,255,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,255,0,0,0,255,255,255,255,255,0,0,0,255,255,255,0,255,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,255,255,255,0,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,0,0,255,255,0,0,0,0,0,255,255,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,0,255,0,0,0,0,

	0,255,255,255,255,255,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,255,0,0,0,255,0,255,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,255,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,255,0,255,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,0,255,0,0,0,0,

	255,0,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,255,0,0,0,255,0,255,0,0,0,255,0,0,255,0,0,0,255,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,255,0,255,0,0,0,255,0,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,255,0,0,0,0,0,

	255,0,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,255,255,255,0,0,255,0,0,255,0,0,0,255,0,255,0,0,0,255,0,0,255,0,0,0,255,0,255,0,0,0,0,0,0,255,255,255,0,0,0,255,0,0,255,0,0,255,0,255,0,0,255,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,255,0,255,255,255,255,0,0,0,0,0,0,

	255,0,0,0,0,255,0,255,0,255,255,255,0,0,255,0,0,0,255,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,255,0,0,255,0,255,0,0,255,0,0,0,0,255,255,255,0,255,0,255,255,255,0,0,255,0,0,0,255,0,255,0,0,0,255,0,0,255,0,255,0,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,0,255,0,255,0,0,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,255,0,0,0,0,0,

	255,0,0,0,0,255,0,255,255,0,0,0,255,0,255,0,0,255,0,0,0,255,0,0,0,0,255,0,255,0,0,0,255,255,0,0,255,0,0,0,0,255,0,0,0,255,0,255,0,0,0,255,0,255,0,0,0,0,0,0,0,255,0,255,0,0,0,255,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,0,

	255,0,0,0,255,255,0,255,0,0,0,0,255,0,255,0,255,0,0,0,0,255,255,255,255,255,0,0,0,255,255,255,0,255,0,0,255,0,0,0,0,255,0,0,0,255,0,255,0,0,0,255,0,255,0,0,0,0,0,0,0,255,0,255,0,0,0,255,0,255,0,0,0,255,255,0,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,255,255,255,0,0,0,255,0,0,0,0,0,255,0,0,0,

	0,255,255,255,0,255,0,255,0,0,0,0,255,0,255,255,0,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,0,255,0,0,255,0,0,0,255,0,0,255,255,255,0,0,255,255,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,255,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,255,255,255,255,255,0,0,255,0,0,

	0,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,0,0,255,0,255,255,255,255,255,255,255,0,0,255,255,255,255,0,0,0,255,255,255,255,0,0,255,0,0,0,0,255,0,0,255,0,0,0,0,0,0,255,0,0,

	0,255,255,255,255,0,0,255,0,0,0,0,255,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,0,0,255,255,255,255,255,0,0,255,255,255,255,255,255,255,0,255,0,0,0,0,0,255,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,0,0,0,0,0,255,0,0,255,0,0,0,0,0,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,255,255,255,255,0,0,255,0,0,0,0,0,255,0,255,255,0,0,0,0,255,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,255,0,0,0,255,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,0,0,0,0,0,255,0,0,255,0,0,0,0,0,0,0,0,0,

	0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,255,255,255,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,0,255,0,255,0,255,0,0,0,255,0,255,0,0,0,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,255,0,0,0,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,255,255,255,0,0,0,255,255,255,255,0,0,0,0,0,0,

	0,0,0,255,255,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,0,255,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,255,0,255,0,0,0,255,0,255,0,0,0,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,255,0,0,

	0,0,255,0,255,0,0,0,0,0,255,0,255,0,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,255,0,0,255,0,0,255,0,0,255,255,255,255,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,255,255,0,0,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,255,0,0,

	0,255,0,0,255,0,0,0,0,0,255,0,255,0,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,0,255,0,0,0,255,0,255,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,0,255,0,0,

	255,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,255,255,255,0,255,0,0,0,0,0,255,0,255,0,0,0,255,0,255,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,0,255,255,255,255,0,0,0,255,255,255,255,0,0,255,0,0,0,

	255,255,255,255,255,255,255,0,0,255,0,0,0,255,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,255,0,0,0,0,0,255,0,255,0,0,0,0,0,255,0,255,0,0,0,0,255,255,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,255,0,0,0,0,255,255,255,255,255,255,255,0,0,255,255,255,255,0,0,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,0,255,0,0,0,0,255,255,255,255,255,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,0,255,0,255,0,0,0,0,255,255,0,0,255,255,255,255,255,0,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,255,0,0,0,255,0,

	0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,255,255,255,255,255,0,0,0,0,0,255,255,255,255,255,0,255,0,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,255,255,255,0,0,255,0,0,0,255,255,255,0,255,0,0,0,0,255,0,0,255,0,0,255,0,255,255,0,0,255,255,0,0,255,0,0,0,255,0,0,0,255,0,

	0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,255,0,0,255,255,0,0,255,255,0,0,255,0,0,255,0,255,0,255,0,255,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,255,255,255,255,255,255,0,255,255,255,255,255,255,0,255,0,0,0,255,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,255,255,255,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,255,255,255,255,0,0,255,0,0,255,0,0,255,255,255,255,255,255,255,0,255,0,0,0,255,0,0,0,255,0,0,255,0,255,0,255,0,255,0,0,

	0,0,255,255,255,0,0,255,255,255,255,255,255,0,0,255,255,255,255,0,0,0,255,255,255,255,0,0,255,0,0,0,255,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,255,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,255,0,0,0,255,0,0,255,0,0,0,255,0,0,0,255,0,0,0,255,0,0,255,0,255,0,255,0,255,0,0,

	0,255,0,0,0,0,0,0,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,255,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,255,0,0,0,255,0,0,255,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,

	255,0,0,0,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,255,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,255,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,255,0,255,255,255,255,255,255,255,0,0,255,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,

	255,255,255,255,255,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,255,255,255,255,0,0,255,255,255,255,255,255,0,255,255,255,255,255,0,0,255,0,255,0,0,0,0,255,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,

	255,0,0,0,0,255,0,0,0,0,255,0,0,0,0,255,255,255,255,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,255,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,255,0,0,255,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,0,0,

	255,0,0,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,0,255,255,255,255,255,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,255,0,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,0,0,255,0,0,0,0,0,255,0,0,0,255,255,255,255,0,0,0,0,255,255,0,255,255,255,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,255,0,255,0,0,

	255,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,255,255,255,255,255,255,0,255,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,0,0,0,255,0,255,0,255,0,255,0,255,0,0,

	255,0,0,0,0,255,0,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,255,0,0,255,255,255,255,255,0,0,255,255,255,255,255,255,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,255,255,255,255,255,0,255,0,255,255,0,255,0,0,255,255,255,255,0,0,0,0,0,255,0,255,0,0,0,0,0,255,255,255,0,0,255,0,255,0,0,

	0,255,255,255,255,0,0,0,0,255,0,0,0,0,0,255,255,255,255,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,255,0,0,0,255,255,255,255,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,0,0,0,255,0,255,255,0,0,0,255,0,0,255,0,0,255,0,0,0,0,255,0,0,0,255,0,0,0,255,0,255,0,255,0,0,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,255,255,255,255,0,0,0,255,255,255,255,0,0,255,255,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,0,0,0,255,0,0,255,0,0,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,0,0,

	0,0,0,255,0,0,0,0,0,0,0,0,0,255,255,0,255,255,0,0,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,0,255,0,0,255,0,0,0,255,255,255,0,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,255,255,255,255,0,0,255,0,0,0,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,255,0,0,0,0,0,0,0,255,255,0,0,0,0,0,255,255,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,0,255,0,0,255,0,0,0,0,0,0,255,0,0,255,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,255,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,0,255,0,0,0,0,255,255,255,255,255,0,255,0,0,0,0,0,0,255,255,255,255,255,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,0,255,0,0,255,0,0,0,0,0,0,255,0,255,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	255,255,255,255,255,255,255,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,0,0,0,255,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,0,0,255,0,0,0,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,255,255,0,0,0,255,255,0,0,0,255,255,255,255,0,0,255,255,255,255,255,0,255,0,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,255,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,0,255,0,0,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,255,0,0,0,0,255,0,0,255,255,255,255,0,0,0,255,255,255,0,255,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,255,0,0,0,0,0,0,0,255,255,0,0,0,0,0,255,255,0,0,0,0,0,255,0,0,0,255,0,0,0,255,255,255,255,255,0,0,255,255,255,255,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,255,0,0,0,0,0,0,0,0,0,255,255,0,255,255,0,0,0,0,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,0,255,255,0,0,0,0,255,0,0,255,0,0,255,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,255,255,255,0,0,0,255,255,255,0,0,255,255,255,0,255,0,0,0,255,0,255,255,255,255,255,255,255,0,0,255,0,0,255,0,255,0,0,255,255,0,0,255,0,0,0,255,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	255,255,255,255,255,0,255,0,0,0,255,0,0,255,0,0,255,255,0,255,255,0,0,0,0,0,0,0,0,0,0,255,0,0,255,0,255,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	255,255,255,255,255,0,255,0,0,0,255,0,0,255,0,0,255,0,255,0,255,0,0,0,0,0,0,0,0,0,0,255,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	255,255,255,255,255,0,255,0,0,0,255,0,0,255,0,0,255,0,0,0,255,0,255,255,255,255,255,255,255,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,255,255,255,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,

	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

};

